Bank Mega - Bug #3223

[HR-Payroll Report]perbaikan pada report ebupot final
11/18/2024 03:38 PM - Muhammad Bintar

Status: QA Test Start date: 11/18/2024
Priority: Normal Due date: 11/22/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada report ebupot final dimana :
untuk field ini di 0 kan saja yang ada di dalam kotak merah
History

#1 - 11/18/2024 03:49 PM - shofwan shiddiq
- File clipboard-202411181549-pqja8.png added
- Status changed from New to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Sudah di0inya

Update:
SP = SPTBulanan_Bupot_Resign
#2 - 11/22/2024 09:31 AM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq

okeh sudah di deploy ke client

#3 - 11/22/2024 02:59 PM - shofwan shiddiq

- Status changed from Closed to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Perubahan skenario pengambilan field Penghasilan Bruto masa pajak
sebelumnya skenario pengambilan untuk karyawan resign saja yang sudah betul
Skenario baru =

Diambil dari table tr_new + tr_retro_new ( wage type TGl ) di bulan 12

Update :
SP = [SPTBulanan_Bupot_Resign]

#4 - 11/25/2024 03:50 PM - shofwan shiddiq
- File clipboard-202411251550-ms1jh.png added

Update SP [SPTBulanan_Bupot_Resign]

Update skenario pengambilan kolom bruto masa pajak terakhir

- Apabila karyawan aktif > Mengambil nilai TGl di table tr hr_tr0301_new + hr_tr0301_retro_new pada bulan 12
- Apabila karyawan resign> Mengambil nilai TGl di table tr hr_tr0301_new + hr_tr0301_retro_new pada bulan resign

CASE Karyawan resign = 02083262 a.n. Yohanes Dwi prasetyo
Maintenance Head

#5 - 11/25/2024 05:49 PM - shofwan shiddiq
Update Skenario

- khusus emp resign, mengambil data terakhir dari table tr ( bukan di bulan resign lagi, jadi misalnnya bulan resign nya 08, tapi di data payroll bulan
08 nya kosong, ambil ke bulan 7 dan seterusnya )

Files

clipboard-202411181537-tclfm.png 587 KB 11/18/2024 Muhammad Bintar
clipboard-202411181549-pgja8.png 65.7 KB 11/18/2024 shofwan shiddiq
clipboard-202411251550-ms1jh.png 54.8 KB 11/25/2024 shofwan shiddiq
